<!--
  Generated template for the SearchUsersPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <ion-searchbar placeholder="Buscar" (ionInput)="getItems($event)" [(ngModel)]="textToSearch" #searchBar></ion-searchbar>
  </ion-navbar>

</ion-header>


<ion-content>
  <div class="initial-content" *ngIf="showInitialContent">
    <ion-grid no-margin no-padding>
      <ion-row no-margin no-padding>
        <ion-col col-4 offset-4>
          <preload-image [ratio]="{w:1, h:1}" src="./assets/imgs/search.png"></preload-image>
        </ion-col>
      </ion-row>
    </ion-grid>
    <ion-grid no-margin no-padding>
      <ion-row no-margin no-padding>
        <ion-col col-10 offset-1>
          <p ion-text text-center class="semi-bold">Aquí podrás descubrir a los usuarios de TuMentor. Escribe algunas palabras.</p>
        </ion-col>
      </ion-row>
    </ion-grid>
  </div>
  <div *ngIf="!showInitialContent">
    <div text-center margin-top *ngIf="isLoading">
      <ion-spinner name="ios-small"></ion-spinner>
    </div>
    <div *ngIf="!isLoading">
      <ion-list no-lines *ngIf="noResults">
        <ion-item no-lines class="my-item" text-wrap>
          <ion-avatar item-start>
            <preload-image [ratio]="{w:1, h:1}" src="relation./assets/imgs/search.png"></preload-image>
          </ion-avatar>
          <p ion-text class="user-fullname">No se encontraron coincidencias para <span  ion-text class="semi-bold">{{ textToSearch }}</span></p>
        </ion-item>
      </ion-list>
      
      <ion-list no-lines *ngIf="!noResults">
        <ion-item no-lines class="my-item" *ngFor="let user of users.results" (click)="goProfile(user)">
          <ion-avatar item-start>
            <preload-image [ratio]="{w:1, h:1}" [src]="user.image"></preload-image>
          </ion-avatar>
          <p ion-text class="user-fullname semi-bold">{{ user.first_name }} {{ user.last_name }}</p>
        </ion-item>
      </ion-list>
    </div>
  </div>
</ion-content>